Bug 97284 - unable to compile rpm-4.1.1 on Solaris
Summary: unable to compile rpm-4.1.1 on Solaris
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 9
Hardware: sparc64 Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-12 17:10 UTC by Joshua Nichols
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-16 00:13:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
taken from thread on rpm-list (4.35 KB, text/plain)
2003-06-12 17:17 UTC, Joshua Nichols
no flags Details
taken from thread on rpm-list part 2 (5.13 KB, text/plain)
2003-06-12 17:20 UTC, Joshua Nichols
no flags Details
taken from thread on rpm-list part 3 (3.86 KB, text/plain)
2003-06-12 17:22 UTC, Joshua Nichols
no flags Details
compile errors after removing /elfutils/ and reconfiguring (3.44 KB, text/plain)
2003-06-12 18:02 UTC, Joshua Nichols
no flags Details

Description Joshua Nichols 2003-06-12 17:10:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030516
Mozilla Firebird/0.6

Description of problem:
During compilation of rpm-4.1.1 with gcc-3.2 on Solaris 8, I am getting a lot of
errors. This was brought from a thread from rpm-list, so I will attach all the
details from the thread..

Version-Release number of selected component (if applicable):
4.1.1

How reproducible:
Always

Steps to Reproduce:
1. tar zxvf rpm-4.1.1.tar.gz
2. CFLAGS='-O2' CC=gcc ./configure --prefix=/opt/rpm --localstatedir=/var
--without-python
3. make
    

Additional info:

Comment 1 Joshua Nichols 2003-06-12 17:17:21 UTC
Created attachment 92363 [details]
taken from thread on rpm-list 

This message describes the intial compilation problems

Comment 2 Joshua Nichols 2003-06-12 17:20:50 UTC
Created attachment 92364 [details]
taken from thread on rpm-list  part 2

proposed fixed to compilation errors

Comment 3 Joshua Nichols 2003-06-12 17:22:20 UTC
Created attachment 92365 [details]
taken from thread on rpm-list  part 3

explanation of how to perform solution form part 2

Comment 4 Joshua Nichols 2003-06-12 18:02:17 UTC
Created attachment 92366 [details]
compile errors after removing /elfutils/ and reconfiguring

Comment 5 Jeff Johnson 2005-11-16 00:13:24 UTC
Don't compile debugedit on solaris is the answer. You will lose the
ability to extract -debuginfo into a shadow file, which prolly is
unsupported on solaris anyways.


Note You need to log in before you can comment on or make changes to this bug.